Package org.kie.api.event.process

# Interface ProcessVariableChangedEvent

All Superinterfaces:
  `KieRuntimeEvent`, `ProcessEvent`

public interface ProcessVariableChangedEvent extends ProcessEvent
An event when a variable inside a process instance has been changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getNewValue()`
  The new value of the variable.
  `Object`
  `getOldValue()`
  The old value of the variable.
  `List<String>`
  `getTags()`
  List of tags associated with variable that is being changed.
  `String`
  `getVariableId()`
  The unique id of the process variable (definition).
  `String`
  `getVariableInstanceId()`
  The unique id of the process variable instance (as multiple node instances with the same process variable definition exists).
  `boolean`
  `hasTag(String tag)`
  Determines if variable that is being changed has given tag associated with it

  ### Methods inherited from interface org.kie.api.event.KieRuntimeEvent

  `getKieRuntime`

  ### Methods inherited from interface org.kie.api.event.process.ProcessEvent

  `getEventDate, getEventIdentity, getProcessInstance`

- ## Method Details

  - ### getVariableId

    String getVariableId()
    The unique id of the process variable (definition).
    Returns:
      the variable id

  - ### getVariableInstanceId

    String getVariableInstanceId()
    The unique id of the process variable instance (as multiple node instances with the same process variable definition exists). This is an aggregation of the unique id of the instance that contains the variable scope and the variable id.
    Returns:
      the variable instance id

  - ### getOldValue

    Object getOldValue()
    The old value of the variable. This may be null.
    Returns:
      the old value

  - ### getNewValue

    Object getNewValue()
    The new value of the variable. This may be null.
    Returns:
      the new value

  - ### getTags

    List<String> getTags()
    List of tags associated with variable that is being changed.
    Returns:
      list of tags if there are any otherwise empty list

  - ### hasTag

    boolean hasTag(String tag)
    Determines if variable that is being changed has given tag associated with it
    Parameters:
      `tag` - name of the tag
    Returns:
      returns true if given tag is associated with variable otherwise false